Bug 1248082 - Swimlane has a limited width in a business process
Swimlane has a limited width in a business process
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ER4
: 6.2.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 10:43 EDT by Oscar Molina
Modified: 2015-10-16 06:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple huge business process with a swimlane (181.55 KB, application/xml)
2015-07-29 10:43 EDT, Oscar Molina
no flags Details

  None (edit)
Description Oscar Molina 2015-07-29 10:43:24 EDT
Created attachment 1057337 [details]
Simple huge business process with a swimlane

Description of problem:
When you want to add a swimlane to a huge process, its width is limited. The swimlane can not be extended further. 

Version-Release number of selected component (if applicable):
BxMS 6.x.x

How reproducible:
Happens in Chrome / Firefox / IE11

Steps to Reproduce:
1. Open attached business process
2. Try to enlarge the swimlane

Actual results:
The width of the swimlane is limited.


Expected results:
Swimlane should be enlarged to all the business process.
Comment 2 Oscar Molina 2015-07-29 12:09:14 EDT
Hi,

We have suggested to the customer that they can use the editor of JBDS to modify the business process. But their problem is that the final user is not a technical user and they need to use the business-central. The provided workaround is an initial solution but it is not the ultimate solution.

Do you know if there is any workaround for solving this limitation using business-central?

Best regards,
Oscar.
Comment 3 Oscar Molina 2015-08-07 07:47:18 EDT
Hi,

There is a workaround for this issue. Some files have to be modified in the application server. Following the next steps:

1. Shutdown the application.
2. Modify the ORYX.CONFIG.MAXIMUM_SIZE property in the following files with a bigger value, for example 15000.

~~~
jboss-eap-6.1/standalone/business-central.war/org.kie.workbench.KIEWebapp/js/compressed/designer-core.js
jboss-eap-6.1/standalone/business-central.war/org.kie.workbench.KIEWebapp/js/config-min.js
jboss-eap-6.1/standalone/business-central.war/org.kie.workbench.KIEWebapp/js/config.js
~~~

3. Empty the browser cache.
4. Start the application.
5. Go to business-central and try to modify the size of the swimlane.

Best regards,
Oscar.
Comment 4 Tihomir Surdilovic 2015-08-10 08:32:45 EDT
Updated max width of components so they can span the width of the whole drawing canvas.

master commit : https://github.com/droolsjbpm/jbpm-designer/commit/67cbfd55a9ec776a8f292805bedb8f49b94b9b24

6.3.x commit : https://github.com/droolsjbpm/jbpm-designer/commit/1de947395ba0bebb84e3d7f0fa90957197286873

Note You need to log in before you can comment on or make changes to this bug.